LFR-FSW - Bug #529

WRONG SEQUENCE_CNT on PACKET_ID=0xcfc
02/10/2015 12:55 PM - Veronique bouzid

Status: Closed Start date: 02/10/2015
Priority: Urgent Due date:

Assignee: Veronique bouzid % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: ro

Description

En jouant le script /opt/VALIDATION_RS3/Ifrverif/LFR_SVS/SVS-0031/sbm1_mode_parameter_set.py (cf #BUG484)
un autre BUG a été découvert concernant la gestion de SEQUENCE_CNT.

Les TM dont le PACKET_ID=0xcfc sont comptabilisées avec les TM dont le PACKET_ID=0xcc1
Voici un extrait du fichier 2015_10_02-08_51_52-Extract-seq-cnt.txt

07:46:40.814751, TM_LFR_HK, TIME=0x8000005731b2, PACKET_ID=0xcc4, SEQUENCE_CNT=85

07:46:41.352476, TC_LFR_ENTER_MODE, SOURCE_ID: MISSION_TIMELINE =110

07:46:41.376684, TM_LFR_TC_EXE_NOT_EXECUTABLE, TIME=0x80000057c1bc, PACKET_ID=0xcc1, SEQUENCE_CNT=0
07:46:41.814619, TM_LFR_HK, TIME=0x8000005831b3, PACKET_ID=0xcc4, SEQUENCE_CNT=86

07:46:42.814729, TM_LFR_HK, TIME=0x8000005931b3, PACKET_ID=0xcc4, SEQUENCE_CNT=87

07:46:43.382035, TC_LFR_LOAD_NORMAL_PAR, SOURCE_ID: MISSION_TIMELINE = 110

07:46:43.395366, TM_LFR_TC_EXE_SUCCESS, TIME=0x80000059¢c656, PACKET_ID=0xcc1, SEQUENCE_CNT=1
07:46:43.582184, TC_LFR_DUMP_PAR, SOURCE_ID: MISSION_TIMELINE =110

07:46:43.58804, TM_LFR_PARAMETER_DUMP, TIME=0x80000059f79b, PACKET_ID=0xcc6, SEQUENCE_CNT=0
07:46:43.590036, TM_LFR_TC_EXE_SUCCESS, TIME=0x80000059f7a3, PACKET_ID=0xcc1, SEQUENCE_CNT=2
07:46:43.782329, TC_LFR_ENTER_MODE, SOURCE_ID: MISSION_TIMELINE =110

07:46:43.807095, TM_LFR_TC_EXE_SUCCESS, TIME=0x8000005a2fc0, PACKET_ID=0xcc1, SEQUENCE_CNT=3
07:46:43.828805, TM_LFR_HK, TIME=0x8000005a355d, PACKET_ID=0xcc4, SEQUENCE_CNT=88

07:46:44.085544, TM_LFR_SCIENCE_SBM1_BP1_F0, TIME=0x8000005a2fbf, PACKET_ID=0xcfc, SEQUENCE_CNT=4
07:46:44.351218, TM_LFR_SCIENCE_SBM1_BP1_F0, TIME=0x8000005a6fbf, PACKET_ID=0xcfc, SEQUENCE_CNT=5
07:46:44.468572, TM_LFR_SCIENCE_SBM1_CWF_F1, TIME=0x8000005a2fb7, PACKET_ID=0xcfc, SEQUENCE_CNT=6
07:46:44.476022, TM_LFR_SCIENCE_SBM1_CWF_F1, TIME=0x8000005a44b7, PACKET_ID=0xcfc, SEQUENCE_CNT=7
07:46:44.489938, TM_LFR_SCIENCE_SBM1_CWF_F1, TIME=0x8000005a59b7, PACKET_ID=0xcfc, SEQUENCE_CNT=8
07:46:44.503171, TM_LFR_SCIENCE_SBM1_CWF_F1, TIME=0x8000005a6eb7, PACKET_ID=0xcfc, SEQUENCE_CNT=9
07:46:44.509066, TM_LFR_SCIENCE_SBM1_CWF_F1, TIME=0x8000005a83b7, PACKET_ID=0xcfc, SEQUENCE_CNT=10
07:46:44.51558, TM_LFR_SCIENCE_SBM1_CWF_F1, TIME=0x8000005a98b7, PACKET_ID=0xcfc, SEQUENCE_CNT=11
07:46:44.521673, TM_LFR_SCIENCE_SBM1_CWF_F1, TIME=0x8000005aadb7, PACKET_ID=0xcfc, SEQUENCE_CNT=12
07:46:44.535162, TM_LFR_SCIENCE_SBM1_CWF_F1, TIME=0x8000005ac2b7, PACKET_ID=0xcfc, SEQUENCE_CNT=13
07:46:44.585458, TM_LFR_SCIENCE_SBM1_BP1_F0, TIME=0x8000005aafbf, PACKET_ID=0xcfc, SEQUENCE_CNT=14

Contexte du test

FSW 3.0.0.9

VHDL 1.1.89

EM sans Timegen

SocExplorerEngine.getSocExplorer: Version = 0.6.2, Branch = default, Changeset = 819d0376d481
StarDundee

History

#1 - 02/10/2015 01:37 PM - paul leroy
- Status changed from New to In Progress

- Assignee changed from paul leroy to Veronique bouzid

Bug identifié et corrigé, fsw >= 3.0.0.10. Vérifié sur un enregistrement en csv, mode NORMAL.

#2 - 05/10/2015 11:02 AM - Veronique bouzid
- Status changed from In Progress to Feedback

#3 - 06/10/2015 11:51 AM - Veronique bouzid
- Status changed from Feedback to Closed

Le bug est corrigé en 3.0.0.10.

Le script utilisé est /opt/VALIDATION_R3/Ifrverif/LFR_SVS/SVS-0019/tm_sequence_counter_loop.py.
Les fichiers (2015_10_06-09_35_02*) sont rangés dans le répertoire /home/validation/data/R3/3.0.0.10/1.1.89/SVS-0019.

Le fichier sort_0xcfc.txt montre bien la validité du SEQUENCE_CNT qui commence a 0 et on voit également le passage a 0 apres
SEQUENCE_CNT=16383 (wrap counter).

Contexte du test

FSW 3.0.0.10

VHDL 1.1.89

EM sans Timegen

SocExplorerEngine.getSocExplorer: Version = 0.6.2, Branch = default, Changeset = 819d0376d481
StarDundee
